Page MenuHomePhabricator

clone: use "official" API to create local clone destination
ClosedPublic

Authored by marmoute on Jun 9 2021, 10:37 AM.

Details

Summary

This make sure we have a properly created, fully functional repository early.
This will be useful to simply the hardlink/copy phases of the local clone to
make it share more of its logic with the similar "stream" cloning.

This has a minor impact of the test and the resulting repository has is better initialized (eg: the wcache directory is pre-created.)

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jun 9 2021, 10:37 AM
pulkit accepted this revision.Jun 14 2021, 4:42 PM
This revision is now accepted and ready to land.Jun 14 2021, 4:42 PM
baymax updated this revision to Diff 28572.Jun 15 2021, 10:23 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jun 16 2021, 3:56 AM
baymax updated this revision to Diff 28620.Jun 21 2021, 1:09 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)